MD5SUM(1)

BEZEICHNUNG
md5sum - MD5-Prüfsummen berechnen und überprüfen

ÜBERSICHT
md5sum [OPTION]... [DATEI]...

BESCHREIBUNG

MD5‐Prüfsummen (128 Bit) ausgeben oder überprüfen. Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

-b, --binary
    Im Binärmodus lesen

-c, --check
    MD5‐Prüfsummen aus DATEIen lesen und überprüfen

--tag
    Eine Prüfsumme im BSD-Stil erstellen

-t, --text
    Im Textmodus lesen (Voreinstellung)

  Die folgenden drei Optionen sind nur beim Überprüfen sinnvoll:

--quiet
    Nicht für jede erfolgreich geprüfte Datei OK ausgeben

--status
    Nichts ausgeben, der Statuscode zeigt Erfolg an

-w, --warn
    Bei ungeeignet formatierten Prüfsummenzeilen warnen

--strict
    In Kombination mit --check wird das Programm bei jeder unzulässigen Eingabe mit einem Fehler beendet.

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Summen werden berechnet wie in RFC 1321 beschrieben. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabeyp anzeigt (»*« für binär, Leerzeichen für Text), und dem Namen jeder DATEI auszugeben.

FEHLER
Der MD5-Algorithmus sollte nicht mehr für sicherheitsrelevante Zwecke eingesetzt werden. Stattdessen verwenden Sie besser einen SHA-2-Algorithmus, der in den Programmen sha224sum(1), sha256sum(1), sha384sum(1) und sha512sum(1) implementiert ist.

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

FEHLER BERICHTEN
Berichten Sie Fehler in md5sum (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von md5sum an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für md5sum wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und md5sum auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'md5sum invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.